## watcher 6.0.1

=== debian/changelog ===
watcher (6.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:00:51 +0000

watcher (6.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 14:38:52 +0200

watcher (6.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 17:38:56 +0200

watcher (6.0.0~rc1-1) experimental; urgency=medium

  * Tune watcher-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * debhelper-compat 11.
  * d/rules: removed --with systemd.
  * Added removed-sphinxcontrib.httpdomain-from-sphinx-ext.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 14:37:58 +0100

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-apscheduler,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-freezegun,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-hacking,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-resource-classes,
 python3-os-testr,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-prettytable,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/watcher
Vcs-Git: https://salsa.debian.org/openstack-team/services/watcher.git
Homepage: https://github.com/openstack/watcher

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-croniter,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-os-resource-classes,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-prettytable,
 python3-sqlalchemy,
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export TZ=UTC

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -f debian/watcher-common.config debian/watcher-common.postinst debian/watcher-api.config debian/watcher-api.postinst
	rm -rf debian/*.upstart debian/*.service
	rm -rf debian/watcher-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm watcher-common.postrm
	pkgos-merge-templates watcher-api watcher endpoint
	pkgos-merge-templates watcher-common watcher db rabbit ksat

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.api\.(?!.*test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.applier.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.cmd.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.common\.(?!.*test_clients\.TestClients\.test_clients_ironic.*)'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.conf.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.db.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.decision_engine.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.notifications.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.objects.*'
endif

	rm -rf $(CURDIR)/debian/python3-watcher/usr/etc
	mkdir -p $(CURDIR)/debian/watcher-common/usr/share/watcher-common
	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf \
		--wrap-width 140 \
		--namespace watcher \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.cache \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken watcher

	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/policy.json \
		--format json \
		--namespace watcher

	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf oslo_concurrency lock_path /var/lock/watcher

	dh_install
	dh_missing --fail-missing

	rm -rf debian/python3-watcher/usr/etc

	mkdir -p $(CURDIR)/debian/watcher-api/usr/bin
	cp watcher/api/app.wsgi $(CURDIR)/debian/watcher-api/usr/bin/watcher-wsgi-api

	# Disable https in default setup, as this makes our CI fail
	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken auth_protocol http

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf database sqlite:////var/lib/watcher/watcherdb

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/watcher-doc/usr/share/doc/watcher-doc/html
	touch $(CURDIR)/debian/watcher-doc/usr/share/doc/watcher-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## watcher 7.0.0

=== debian/changelog ===
watcher (2:7.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 7.x series
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 13:07:52 -0400

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-apscheduler (>= 3.5.1),
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.5.0),
 python3-coverage (>= 4.5.1),
 python3-croniter (>= 0.3.20),
 python3-doc8 (>= 0.8.0),
 python3-freezegun (>= 0.3.10),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-hacking (>= 1.1.0),
 python3-ironicclient (>= 2.5.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.1),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:14.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-resource-classes (>= 0.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 8.1.2),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pecan (>= 1.3.2),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.8.0),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-voluptuous,
 python3-webob (>= 1:1.8.5),
 python3-wsme (>= 0.9.2),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher
Homepage: https://opendev.org/openstack/watcher
Testsuite: autopkgtest-pkg-python

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler (>= 3.5.1),
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.5.0),
 python3-croniter (>= 0.3.20),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-ironicclient (>= 2.5.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.1),
 python3-microversion-parse (>= 0.2.1),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:14.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-os-resource-classes (>= 0.4.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 8.1.2),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.3.2),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.8.0),
 python3-voluptuous,
 python3-webob (>= 1:1.8.5),
 python3-wsme (>= 0.9.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Python 3 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 net-tools,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
https://tarballs.opendev.org/openstack/watcher/ python-watcher-(7\.\d.*)\.tar\.gz

## watcher 7.0.0+git2021120910.e4fab0ce

=== debian/changelog ===
watcher (2:7.0.0+git2021120910.e4fab0ce-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:39:54 -0500

## watcher 7.0.0+git2022011310.01d74d0a

=== debian/changelog ===
watcher (2:7.0.0+git2022011310.01d74d0a-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 10:03:44 -0500

## watcher 8.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
os-api-ref>=1.4.0 # Apache-2.0

=== debian/changelog ===
watcher (2:8.0.0-0ubuntu1.1) jammy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/yoga branch.

  [ Bryan Fraschetti ]
  * d/p/handle-deprecated-cpu-util.patch: Apply upstream patch to replace
    usage of the deprecated "cpu_util" metric (LP: #2088620).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Jan 2025 11:36:50 +0000

watcher (2:8.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 8.x series
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:26:05 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  po-debconf,
@@ -16,7 +16,6 @@
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-apscheduler (>= 3.5.1),
- python3-ceilometerclient (>= 2.9.0),
  python3-cinderclient (>= 1:3.5.0),
  python3-coverage (>= 4.5.1),
  python3-croniter (>= 0.3.20),
@@ -87,7 +86,6 @@
 Architecture: all
 Depends:
  python3-apscheduler (>= 3.5.1),
- python3-ceilometerclient (>= 2.9.0),
  python3-cinderclient (>= 1:3.5.0),
  python3-croniter (>= 0.3.20),
  python3-futurist (>= 1.8.0),

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,17 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=watcher
+
+PYTHON3S:=$(shell py3versions -vr)
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export TZ=UTC
-
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean
@@ -29,18 +35,10 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2 --in-tmp
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.api\.(?!.*test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.applier.*'
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.cmd.*'
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.common\.(?!.*test_clients\.TestClients\.test_clients_ironic.*)'
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.conf.*'
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.db.*'
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.decision_engine.*'
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.notifications.*'
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.objects.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.(?!.*api\.test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
 endif
 
 	rm -rf $(CURDIR)/debian/python3-watcher/usr/etc
@@ -72,11 +70,6 @@
 	dh_install
 	dh_missing --fail-missing
 
-	rm -rf debian/python3-watcher/usr/etc
-
-	mkdir -p $(CURDIR)/debian/watcher-api/usr/bin
-	cp watcher/api/app.wsgi $(CURDIR)/debian/watcher-api/usr/bin/watcher-wsgi-api
-
 	# Disable https in default setup, as this makes our CI fail
 	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken auth_protocol http

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
https://tarballs.opendev.org/openstack/watcher/ python-watcher-(8\.\d.*)\.tar\.gz

## watcher 8.0.0+git2022060611.b57eac12

=== debian/changelog ===
watcher (2:8.0.0+git2022060611.b57eac12-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 11:19:21 -0400

=== debian/control ===
--- 
+++ 
@@ -75,8 +75,7 @@
  python3-voluptuous,
  python3-webob (>= 1:1.8.5),
  python3-wsme (>= 0.9.2),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher
 Homepage: https://opendev.org/openstack/watcher
 Testsuite: autopkgtest-pkg-python

## watcher 8.0.0+git2022071416.b57eac12

=== debian/changelog ===
watcher (2:8.0.0+git2022071416.b57eac12-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 16:52:22 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
  python3-pbr (>= 3.1.1),

## watcher 8.0.0+git2022091214.a43b040e

=== debian/changelog ===
watcher (2:8.0.0+git2022091214.a43b040e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:12:49 -0400

## watcher 9.0.0

=== requirements.txt ===
#  The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

apscheduler>=3.5.1 # MIT License
jsonpatch>=1.21 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
keystonemiddleware>=4.21.0 # Apache-2.0
lxml>=4.5.1 # BSD
croniter>=0.3.20 # MIT License
os-resource-classes>=0.4.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.cache>=1.29.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.21.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=3.37.0 # Apache-2.0
oslo.messaging>=8.1.2 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.reports>=1.27.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.30.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
oslo.versionedobjects>=1.32.0 # Apache-2.0
PasteDeploy>=1.5.2 # MIT
pbr>=3.1.1 # Apache-2.0
pecan>=1.3.2 # BSD
PrettyTable>=0.7.2 # BSD
gnocchiclient>=7.0.1 # Apache-2.0
python-cinderclient>=3.5.0 # Apache-2.0
python-glanceclient>=2.9.1 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=14.1.0 # Apache-2.0
python-openstackclient>=3.14.0 # Apache-2.0
python-ironicclient>=2.5.0 # Apache-2.0
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.28.0 # Apache-2.0
taskflow>=3.8.0 # Apache-2.0
WebOb>=1.8.5 # MIT
WSME>=0.9.2 # MIT
networkx>=2.4 # BSD
microversion_parse>=0.2.1 # Apache-2.0
futurist>=1.8.0 # Apache-2.0

=== debian/changelog ===
watcher (9.0.0-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 15:27:15 +0200

watcher (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Fix-compatibility-with-oslo.db-12.1.0.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 11:07:38 +0200

watcher (9.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:00:00 +0200

watcher (9.0.0~rc1-2) experimental; urgency=medium

  * Add Fix-compatibility-with-oslo.db-12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 10:03:59 +0200

watcher (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-webtest to build-depends.
  * Fixed version of oslo.concurrency to >= 5.0.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 13:57:49 +0200

watcher (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:48:20 +0200

watcher (8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 16:02:29 +0200

watcher (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Remove_ceilometerclient_dependecy.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 17:15:29 +0100

watcher (7.0.0-2) unstable; urgency=medium

  * Removed python3-ceilometerclient from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Feb 2022 14:15:03 +0100

watcher (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 21:54:25 +0200

watcher (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 11:27:10 +0200

watcher (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-os-testr from build-depends.
  * Blacklist test_create_continuous_audit_with_wrong_interval().

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 11:45:28 +0200

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-apscheduler,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-freezegun,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-hacking,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-resource-classes,
 python3-oslo.cache,
 python3-oslo.concurrency (>= 5.0.1),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-prettytable,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 python3-wsme,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/watcher
Vcs-Git: https://salsa.debian.org/openstack-team/services/watcher.git
Homepage: https://github.com/openstack/watcher

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler,
 python3-cinderclient,
 python3-croniter,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-os-resource-classes,
 python3-oslo.cache,
 python3-oslo.concurrency (>= 5.0.1),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-prettytable,
 python3-sqlalchemy,
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,11 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=watcher
-
-PYTHON3S:=$(shell py3versions -vr)
-
-DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
-export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
+export TZ=UTC
+
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean
@@ -35,10 +29,18 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2
+	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'watcher\.tests\.(?!.*api\.test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.api\.(?!.*test_hooks\.TestContextHook\.test_context_hook_before_method.*|.*v1\.test_audits\.TestPost\.test_create_continuous_audit_with_wrong_interval.*)'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.applier.*'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.cmd.*'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.common\.(?!.*test_clients\.TestClients\.test_clients_ironic.*)'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.conf.*'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.db.*'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.decision_engine.*'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.notifications.*'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.objects.*'
 endif
 
 	rm -rf $(CURDIR)/debian/python3-watcher/usr/etc
@@ -70,6 +72,11 @@
 	dh_install
 	dh_missing --fail-missing
 
+	rm -rf debian/python3-watcher/usr/etc
+
+	mkdir -p $(CURDIR)/debian/watcher-api/usr/bin
+	cp watcher/api/app.wsgi $(CURDIR)/debian/watcher-api/usr/bin/watcher-wsgi-api
+
 	# Disable https in default setup, as this makes our CI fail
 	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken auth_protocol http

## watcher 10.0.0~rc1

=== debian/changelog ===
watcher (2:10.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 17:47:04 -0500

watcher (2:9.0.0+git2023011011.60033227-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 11:17:49 -0500

watcher (2:9.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 9.x series
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:27:54 -0400
